CVE List

CVE-2020-8863

Critical 8.8

This vulnerability allows network-adjacent attackers to bypass authentication on affected installations of D-Link DIR-867, DIR-878, and DIR-882 routers with firmware 1.10B04. Authentication is not required to exploit this vulnerability. The specific flaw exists within the handling of HNAP login requests. The issue results from the lack of proper implementation of the authentication algorithm. An attacker can leverage this vulnerability to escalate privileges and execute code in the context of the router. Was ZDI-CAN-9470.

Published March 24, 2020.

Affected software

Dlink Dir-878 Firmware

Dlink Dir-867 Firmware

Dlink Dir-882 Firmware

Reference links

Sign Up for Alerts